Package jgromacs.analysis

# Class Superposition

java.lang.Object
jgromacs.analysis.Superposition

public class Superposition extends Object
Collection of methods for superposing structures

## Constructor Summary

Constructors
Constructor
Description
`Superposition()`

## Method Summary

Modifier and Type
Method
Description
`static PointList`
`superposeTo(PointList toBeSuperposed, PointList reference)`
Calculates the superposition of a point list to another
`static Structure`
`superposeTo(Structure toBeSuperposed, IndexSet indices1, Structure reference, IndexSet indices2)`
Calculates the superposition of a structure to another using a subset of atoms for fitting
`static Structure`
`superposeTo(Structure toBeSuperposed, Structure reference)`
Calculates the superposition of a structure to another
`static Trajectory`
`superposeTo(Trajectory t, PointList reference)`
Calculates the superposition of each frame of a trajectory to a common reference frame
`static Trajectory`
`superposeTo(Trajectory t, Structure reference)`
Calculates the superposition of each frame of a trajectory to a common reference frame
`static Trajectory`
`superposeTo(Trajectory t, Structure reference, IndexSet indices)`
Calculates the superposition of each frame of a trajectory to a common reference frame using a subset of atoms for fitting
`static PointList`
`weightedSuperposeTo(PointList toBeSuperposed, PointList reference, ArrayList<Double> weights)`
Calculates the weighted superposition of a point list to another
`static Structure`
`weightedSuperposeTo(Structure toBeSuperposed, Structure reference, ArrayList<Double> weights)`
Calculates the weighted superposition of a structure to another
`static Trajectory`
`weightedSuperposeTo(Trajectory t, PointList reference, ArrayList<Double> weights)`
Calculates the weighted superposition of each frame of a trajectory to a common reference frame
`static Trajectory`
`weightedSuperposeTo(Trajectory t, Structure reference, ArrayList<Double> weights)`
Calculates the weighted superposition of each frame of a trajectory to a common reference frame

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Superposition

public Superposition()

## Method Details

### superposeTo

public static PointList superposeTo(PointList toBeSuperposed, PointList reference)
Calculates the superposition of a point list to another

Parameters:
  `toBeSuperposed` - the point list to be superposed
  `reference` - the reference point list
Returns:
  superposed points

### superposeTo

public static Structure superposeTo(Structure toBeSuperposed, Structure reference)
Calculates the superposition of a structure to another

Parameters:
  `toBeSuperposed` - the structure to be superposed
  `reference` - the reference structure
Returns:
  superposed structure

### superposeTo

public static Structure superposeTo(Structure toBeSuperposed, IndexSet indices1, Structure reference, IndexSet indices2)
Calculates the superposition of a structure to another using a subset of atoms for fitting

Parameters:
  `toBeSuperposed` - the structure to be superposed
  `indices1` - first index set
  `reference` - the reference structure
  `indices2` - second index set
Returns:
  superposed structure

### superposeTo

public static Trajectory superposeTo(Trajectory t, PointList reference)
Calculates the superposition of each frame of a trajectory to a common reference frame

Parameters:
  `t` - trajectory to be superposed
  `reference` - reference point list
Returns:
  superposed trajectory

### superposeTo

public static Trajectory superposeTo(Trajectory t, Structure reference)
Calculates the superposition of each frame of a trajectory to a common reference frame

Parameters:
  `t` - trajectory to be superposed
  `reference` - reference structure
Returns:
  superposed trajectory

### superposeTo

public static Trajectory superposeTo(Trajectory t, Structure reference, IndexSet indices)
Calculates the superposition of each frame of a trajectory to a common reference frame using a subset of atoms for fitting

Parameters:
  `t` - trajectory to be superposed
  `reference` - reference structure
  `indices` - index set
Returns:
  superposed trajectory

### weightedSuperposeTo

public static PointList weightedSuperposeTo(PointList toBeSuperposed, PointList reference, ArrayList<Double> weights)
Calculates the weighted superposition of a point list to another

Parameters:
  `toBeSuperposed` - the point list to be superposed
  `reference` - the reference point list
  `weights` - vector of weights
Returns:
  superposed points

### weightedSuperposeTo

public static Structure weightedSuperposeTo(Structure toBeSuperposed, Structure reference, ArrayList<Double> weights)
Calculates the weighted superposition of a structure to another

Parameters:
  `toBeSuperposed` - the structure to be superposed
  `reference` - the reference structure
  `weights` - vector of weights
Returns:
  superposed structure

### weightedSuperposeTo

public static Trajectory weightedSuperposeTo(Trajectory t, PointList reference, ArrayList<Double> weights)
Calculates the weighted superposition of each frame of a trajectory to a common reference frame

Parameters:
  `t` - trajectory to be superposed
  `reference` - reference point list
  `weights` - vector of weights
Returns:
  superposed trajectory

### weightedSuperposeTo

public static Trajectory weightedSuperposeTo(Trajectory t, Structure reference, ArrayList<Double> weights)
Calculates the weighted superposition of each frame of a trajectory to a common reference frame

Parameters:
  `t` - trajectory to be superposed
  `reference` - reference structure
  `weights` - vector of weights
Returns:
  superposed trajectory